5.2.0-git
04/24/2014

[#7147] OAuth consumer support
Summary OAuth consumer support
Queue Horde Base
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 08/03/2008 (2090 days ago)
Due
Updated 09/17/2010 (1315 days ago)
Assigned
Resolved
Milestone
Patch No

History
09/17/2010 04:55:51 PM Michael Rubinsky Comment #3 Reply to this comment
FWIW, Horde_Service_Twitter has worked with OAuth (via our Horde_OAuth 
library) from the beginning...
09/17/2010 03:39:35 AM Chuck Hagenbuch Comment #2
Version ⇒ Git master
Reply to this comment
If other code is needed for interfacing with e.g. twitter:
http://github.com/abraham/twitteroauth
08/03/2008 01:47:49 AM Chuck Hagenbuch Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒
Queue ⇒ Horde Base
Summary ⇒ OAuth consumer support
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
We have the necessary client code for this in the Horde_Oauth package. 
What we need is a preferences container for OAuth credentials and some 
scripts (probably in horde/services/) for callbacks and setting up 
OAuth tokens to various providers that we might want to access on 
behalf of Horde users.